List global target propertiess
get
https://EM_HOST:8080/em/api/globalTargetProperties
This api returns a list of global target properties filtered with the given criteria.
Request
Query Parameters
-
limit: integer(int32)
Minimum Value:
1Maximum Value:2000to limit the number of rows returned. If the result set is greater follow the previous and next links in the results.Example:20 -
name: array[string]
name of the target property
-
nameMatches: array[string]
name pattern of the target propertyExample:
my_property_* -
page: string
system generated page token used in the self, next and previous links.
-
sort: string
The sort field and the sort direction. Allowed sort fields are id, name, displayName. Allowed directions are DESC and ASCExample:
name:ASC
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
OK
Root Schema : GlobalTargetPropertyCollection
Type:
objectThis is the representation of list of target references.
Show Source
-
count(required): integer
the number of items in this pageExample:
20 -
items(required): array
items
the target references
-
links(required): object
links
the result set navigation links
-
total: integer
the total number of resultsExample:
42
Nested Schema : items
Type:
arraythe target references
Show Source
-
Array of:
object GlobalTargetPropertySummary
This is a target reference.
Nested Schema : GlobalTargetPropertySummary
Type:
objectThis is a target reference.
Show Source
-
displayName(required): string
the property display name in the client localeExample:
Location -
id(required): string
the target property idExample:
orcl_gtp_location -
links: object
links
the target related links
-
name(required): string
the target property nameExample:
Location
400 Response
in the case of illegal arguments like unsupported sort direction
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description
401 Response
client is not authenticated
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description
500 Response
internal error serving the request
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description
503 Response
indicates that a required service is not available.
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description